Bug 1291786 - [RFE] Add support for DaemonSet into OpenShift
[RFE] Add support for DaemonSet into OpenShift
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Paul Weil
DeShuai Ma
:
Depends On:
Blocks: 1291866 1337329
  Show dependency treegraph
 
Reported: 2015-12-15 10:26 EST by Eric Rich
Modified: 2016-11-16 14:13 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1291866 1337329 (view as bug list)
Environment:
Last Closed: 2016-11-16 14:13:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Rich 2015-12-15 10:26:38 EST
Description of problem:

Add Support for DaemonSets
https://trello.com/c/cNrjSyEG/541-2-support-daemonsetscontroller-gccontroller
Comment 2 Luke Meyer 2016-02-08 15:02:08 EST
Code for this is in Origin with https://github.com/openshift/origin/pull/6854 and we can presumably expect it in OSE 3.2 unless there are unresolvable bugs.

The above Trello card has been narrowed in scope to remaining GC controller work.
Comment 4 Luke Meyer 2016-05-19 09:01:46 EDT
Note that DaemonSets are not available to project admins under default role definitions. The admin role can be customized to allow using them, or specific admins can be given a custom role to enable usage.
Comment 5 Eric Rich 2016-05-26 17:54:30 EDT
(In reply to Luke Meyer from comment #4)
> Note that DaemonSets are not available to project admins under default role
> definitions. The admin role can be customized to allow using them, or
> specific admins can be given a custom role to enable usage.

Is this documented? I ask to make sure that https://bugzilla.redhat.com/show_bug.cgi?id=1337329 has the information it needs to complete the documentation efforts.

Note You need to log in before you can comment on or make changes to this bug.